package com.atlassian.bitbucket.mesh.git.builder.catfile;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilderSupport;

import javax.annotation.Nonnull;

public interface ObjectGitCatFileBuilder<T extends ObjectGitCatFileBuilder<T>> extends GitProcessBuilderSupport<T> {

    @Nonnull
    T object(String value);

    @Nonnull
    T object(String rev, String file);
}
